{ inputs, config, lib, pkgs, ... }: {
  imports = [ inputs.hyprland.homeManagerModules.default ];
  programs = {
    fish.loginShellInit = ''
      if test (tty) = "/dev/tty1"
        exec Hyprland &> /dev/null
      end
    '';
  };
  # wayland.windowManager.hyprland = {
  #   enable = true;
  #   nvidiaPatches = true;
  #   extraConfig = (import ./config.nix { inherit (config) home; });

  # };
  programs.waybar.package = pkgs.waybar.overrideAttrs
    (oa: { mesonFlags = (oa.mesonFlags or [ ]) ++ [ "-Dexperimental=true" ]; });
  programs.waybar.enable = true;

  home.packages = with pkgs; [
    grim
    imv
    mimeo
    xwayland
    pulseaudio
    slurp
    swayidle
    swaylock
    waypipe
    wireplumber
    wf-recorder
    wl-mirror
    wl-clipboard
    ydotool
  ];
}
