{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.desktop.media;

in {

  options.features.desktop.media.enable =
    mkEnableOption "enable media features";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      ffmpeg_6-full
      fractal
      frei0r
      gphoto2
      handbrake
      libsForQt5.kdenlive
      makemkv
      mpv
      plexamp
      uxplay
      vlc
      webcord
      youtube-dl
    ];

    programs.obs-studio = {
      enable = true;
      plugins = with pkgs.obs-studio-plugins; [ obs-backgroundremoval wlrobs ];
    };
  };

}
