{
  home.file.".config/hypr/hyprland.conf".text = ''

    # See https://wiki.hyprland.org/Configuring/Monitors/
    monitor=eDP-1,preferred, 2560x0, auto
    monitor=DP-2,preferred, 0x0, auto

    # See https://wiki.hyprland.org/Configuring/Keywords/ for more

    # Execute your favorite apps at launch
    # exec-once = waybar & hyprpaper & firefox
    exec-once = waybar
    exec-once = hyprpaper
    exec-once = wl-paste -p -t text --watch clipman store -P --histpath="~/.local/share/clipman-primary.json"
    # Source a file (multi-file configs)
    # source = ~/.config/hypr/myColors.conf

    # Some default env vars.
    #env = XCURSOR_SIZE,24
    env = WLR_NO_HARDWARE_CURSORS,1
    env = __NV_PRIME_RENDER_OFFLOAD,1
    env = GTK_THEME,Dracula
    # For all categories, see https://wiki.hyprland.org/Configuring/Variables/
    input {
        kb_layout = de,us
        kb_variant = 
        kb_model =
        kb_rules =
        kb_options=ctrl:nocaps
        follow_mouse = 1

        touchpad {
            natural_scroll = yes
        }

        sensitivity = 0 # -1.0 - 1.0, 0 means no modification.
    }

    device:zsa-technology-labs-moonlander-mark-i {
        kb_layout = us
    }

    general {
        # See https://wiki.hyprland.org/Configuring/Variables/ for more
        col.active_border = rgb(44475a) rgb(bd93f9) 90deg
        col.inactive_border = rgba(44475aaa)
        col.group_border = rgba(282a36dd)
        col.group_border_active = rgb(bd93f9) rgb(44475a) 90deg
        
        gaps_in = 5
        gaps_out = 5
        border_size = 1
        col.active_border = rgba(9742b5ee) rgba(9742b5ee) 45deg
        col.inactive_border = rgba(595959aa)

        layout = dwindle
    }

    decoration {
        # See https://wiki.hyprland.org/Configuring/Variables/ for more
        col.shadow = rgba(1E202966)
        drop_shadow = yes
        shadow_range = 60
        shadow_offset = 1 2
        shadow_render_power = 3
        shadow_scale = 0.97
        rounding = 8
        blur = yes
        blur_size = 3
        blur_passes = 3
        blur_new_optimizations = on
        active_opacity = 0.9
        inactive_opacity = 0.5
        drop_shadow = yes
        shadow_range = 4
        shadow_render_power = 3
    }

    animations {
        enabled = yes

        # Some default animations, see https://wiki.hyprland.org/Configuring/Animations/ for more

        bezier = myBezier, 0.05, 0.9, 0.1, 1.05

        animation = windows, 1, 7, myBezier
        animation = windowsOut, 1, 7, default, popin 80%
        animation = border, 1, 10, default
        animation = borderangle, 1, 8, default
        animation = fade, 1, 7, default
        animation = workspaces, 1, 6, default
    }

    dwindle {
        # See https://wiki.hyprland.org/Configuring/Dwindle-Layout/ for more
        pseudotile = yes # master switch for pseudotiling. Enabling is bound to mainMod + P in the keybinds section below
        preserve_split = yes # you probably want this
    }

    master {
        # See https://wiki.hyprland.org/Configuring/Master-Layout/ for more
        new_is_master = true
    }

    gestures {
        # See https://wiki.hyprland.org/Configuring/Variables/ for more
        workspace_swipe = off
    }

    # Example per-device config
    # See https://wiki.hyprland.org/Configuring/Keywords/#executing for more
    device:epic-mouse-v1 {
        sensitivity = -0.5
    }

    # Example windowrule v1
    # windowrule = float, ^(kitty)$
    # Example windowrule v2
    # windowrulev2 = float,class:^(kitty)$,title:^(kitty)$
    # See https://wiki.hyprland.org/Configuring/Window-Rules/ for more
    windowrule = float, file_progress
    windowrule = float, confirm
    windowrule = float, dialog
    windowrule = float, download
    windowrule = float, notification
    windowrule = float, error
    windowrule = float, splash
    windowrule = float, confirmreset
    windowrule = float, title:Open File
    windowrule = float, title:branchdialog
    windowrule = float, Lxappearance
    windowrule = float, Wofi
    windowrule = float, dunst
    windowrule = animation none,Wofi
    windowrule = float,viewnior
    windowrule = float,feh
    windowrule = float, pavucontrol-qt
    windowrule = float, pavucontrol
    windowrule = float, file-roller
    windowrule = fullscreen, wlogout
    windowrule = float, title:wlogout
    windowrule = fullscreen, title:wlogout
    windowrule = idleinhibit focus, mpv
    windowrule = idleinhibit fullscreen, firefox
    windowrule = float, title:^(Media viewer)$
    windowrule = float, title:^(Volume Control)$
    windowrule = float, title:^(Picture-in-Picture)$
    windowrule = size 800 600, title:^(Volume Control)$
    windowrule = move 75 44%, title:^(Volume Control)$

    # See https://wiki.hyprland.org/Configuring/Keywords/ for more
    $mainMod = SUPER

    # Example binds, see https://wiki.hyprland.org/Configuring/Binds/ for more
    bind = $mainMod, return, exec, alacritty -e tmux
    bind = $mainMod control, t, exec, alacritty -e tmux attach
    bind = $mainMod SHIFT, e, exec, emacsclient -n -c -e '(package-initialize)' 
    bind = $mainMod, o, exec, emacsclient -n -c -e '(dired "~")' 
    bind = $mainMod, Escape, exec, wlogout -p layer-shell
    bind = $mainMod, Space, togglefloating
    bind = $mainMod, q, killactive, 
    bind = $mainMod, M, exit, 
    bind=  $mainMod, F, fullscreen
    bind = $mainMod, V, togglefloating, 
    bind = $mainMod, D, exec, wofi --show drun --allow-images
    bind = $mainMod SHIFT, S, exec, bemoji
    bind = $mainMod, P, exec, wofi-pass
    bind = $mainMod SHIFT, P, pseudo, # dwindle
    bind = $mainMod, J, togglesplit, # dwindle

    # Move focus with mainMod + arrow keys
    bind = $mainMod, left, movefocus, l
    bind = $mainMod, right, movefocus, r
    bind = $mainMod, up, movefocus, u
    bind = $mainMod, down, movefocus, d

    # Switch workspaces with mainMod + [0-9]
    bind = $mainMod, 1, workspace, 1
    bind = $mainMod, 2, workspace, 2
    bind = $mainMod, 3, workspace, 3
    bind = $mainMod, 4, workspace, 4
    bind = $mainMod, 5, workspace, 5
    bind = $mainMod, 6, workspace, 6
    bind = $mainMod, 7, workspace, 7
    bind = $mainMod, 8, workspace, 8
    bind = $mainMod, 9, workspace, 9
    bind = $mainMod, 0, workspace, 10

    # Move active window to a workspace with mainMod + SHIFT + [0-9]
    bind = $mainMod SHIFT, 1, movetoworkspace, 1
    bind = $mainMod SHIFT, 2, movetoworkspace, 2
    bind = $mainMod SHIFT, 3, movetoworkspace, 3
    bind = $mainMod SHIFT, 4, movetoworkspace, 4
    bind = $mainMod SHIFT, 5, movetoworkspace, 5
    bind = $mainMod SHIFT, 6, movetoworkspace, 6
    bind = $mainMod SHIFT, 7, movetoworkspace, 7
    bind = $mainMod SHIFT, 8, movetoworkspace, 8
    bind = $mainMod SHIFT, 9, movetoworkspace, 9
    bind = $mainMod SHIFT, 0, movetoworkspace, 10

    # Scroll through existing workspaces with mainMod + scroll
    bind = $mainMod, mouse_down, workspace, e+1
    bind = $mainMod, mouse_up, workspace, e-1

    # Move/resize windows with mainMod + LMB/RMB and dragging
    bindm = $mainMod, mouse:272, movewindow
    bindm = $mainMod, mouse:273, resizewindow
  '';
}
