{ stdenv, lib, fetchFromGitHub, bash, pkgs, makeWrapper }:

with lib;
with pkgs;

stdenv.mkDerivation {
  pname = "bemoji";
  version = "0.3.0";
  src = fetchFromGitHub {
    owner = "marty-oehme";
    repo = "bemoji";
    rev = "dc68887";
    sha256 = "XXNrUaS06UHF3cVfIfWjGF1sdPE709W2tFhfwTitzNs=";
  };
  buildInputs = [ bash coreutils wl-clipboard wofi wtype ];
  
  nativeBuildInputs = [ makeWrapper ];
  installPhase = ''
    mkdir -p $out/bin
    cp bemoji $out/bin/bemoji
    wrapProgram $out/bin/bemoji \
      --prefix PATH : ${makeBinPath [ bash coreutils wl-clipboard wofi wtype ]}
  '';
}
